Bug 1031279 - python-mwlib-0.15.14 is available
Summary: python-mwlib-0.15.14 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-mwlib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ian Weller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-16 10:16 UTC by Upstream Release Monitoring
Modified: 2015-02-09 05:32 UTC (History)
3 users (show)

Fixed In Version: python-mwlib-0.15.14-1.fc21
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-09 05:32:41 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
Update to 0.15.14 and enable tests (3.73 KB, patch)
2015-01-30 16:48 UTC, Zbigniew Jędrzejewski-Szmek
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1183366 0 unspecified CLOSED Update python-mwlib Requires for python-dateutil 2021-02-22 00:41:40 UTC

Internal Links: 1183366

Description Upstream Release Monitoring 2013-11-16 10:16:30 UTC
Latest upstream release: 0.15.12
Current version/release in Fedora Rawhide: 0.15.11-2.fc20
URL: https://pypi.python.org/packages/source/m/mwlib/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2014-01-10 10:21:49 UTC
Latest upstream release: 0.15.13
Current version/release in Fedora Rawhide: 0.15.11-2.fc20
URL: https://pypi.python.org/packages/source/m/mwlib/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Upstream Release Monitoring 2014-01-13 13:46:05 UTC
Latest upstream release: 0.15.14
Current version/release in Fedora Rawhide: 0.15.11-2.fc20
URL: https://pypi.python.org/packages/source/m/mwlib/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-01-30 16:48:18 UTC
Created attachment 986079 [details]
Update to 0.15.14 and enable tests

I was trying to enable tests, in scope of #1183366. Attached patch updates to 0.15.14 and runs the test suite in %check.

The tests which didn't pass are filtered out. Two are obvious (missing dependencies), and the third seems to be an upstream error (https://github.com/pediapress/mwlib/issues/51).

I'll be happy to push this and make an update myself if you prefer.

Comment 4 Ian Weller 2015-01-30 17:55:50 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> I'll be happy to push this and make an update myself if you prefer.

Looks good to me -- feel free to do so. Let me know if you need any ACLs.

Comment 5 Zbigniew Jędrzejewski-Szmek 2015-01-30 18:26:38 UTC
Thanks, pushed to rawhide. I added myself to watch list.

What about F21? I'd update that too.

Comment 6 Ian Weller 2015-01-30 19:17:38 UTC
I'll let that be your call:

http://fedoraproject.org/wiki/Updates_Policy

Comment 7 Zbigniew Jędrzejewski-Szmek 2015-01-30 19:23:01 UTC
OK, I'll push it then.

The shortlog shows that changes are minuscule and bugfix in nature:
* a880af19f5 (tag: 0.15.14) prepare 0.15.14
* 45672a8b78 set user agent from environment variable MWLIB_USER_AGENT
* f39244003a (tag: 0.15.13) prepare 0.15.13
* 4e9c8ca2f6 add --disable-all-writers argument to nserve
* f6dfda0500 add note about professional support
* 3f0ee42b89 adapt bot filtering a bit
* 8d97a5738f (tag: 0.15.12) gitignore junit files
* 9609476a2c prepare 0.15.12
* 837d499149 workaround 'first run' tox issue
* 023ffc5713 fix tests with new wsgi_intercept 0.6 and require that version
* 745f256ed1 Match IPv6 addresses as anonymous users
* e3d43db300 handle __NOGLOSSARY__ magicword
* d39e4577d3 Fixes #37  * In the case where MediaWiki is behind an Apache server that does the auth

Comment 8 Fedora Update System 2015-01-30 20:05:58 UTC
python-mwlib-0.15.14-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-mwlib-0.15.14-1.fc21

Comment 9 Fedora Update System 2015-02-01 00:25:16 UTC
Package python-mwlib-0.15.14-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-mwlib-0.15.14-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1492/python-mwlib-0.15.14-1.fc21
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-02-09 05:32:41 UTC
python-mwlib-0.15.14-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.